﻿<!DOCTYPE html>
<html>

<head>
	<meta content="text/html; charset=utf-8" http-equiv="Content-Type">
	<title>El modelo FlexBox</title>
	<style type="text/css">
		.contenedorflex {
			display: flex;
			flex-wrap: wrap;
			justify-content: center;
			align-content: space-evenly;
			background-color: bisque;
			align-self: center;
			width: 90%;
			height: 90vh;


		}

		div div {
			border: 3px black solid;
			background-color: aquamarine;
			width: 300px;
			height: 300px;
			text-align: center;
			font-size: x-large;
			font-family: Cambria, Cochin, Georgia, Times, "Times New Roman", serif;
			margin: 75px;
		}

		/* Si la pantalla disminuye de 1200px pasamos de row a column*/
		@media all and (max-width: 1200px) {
			.contenedorflex {
				display: flex;
				flex-direction: column;
				/*align-content: flex-start;*/
				justify-content: flex-start;
			}

			div div {
				width: 200px;
				flex-basis: 100px;

			}
		}
	</style>
</head>

<body>
	<div class="contenedorflex">
		<div id="a">A</div>
		<div>B</div>
		<div id="c">C</div>
		<div id="d">D</div>
		<div>E</div>
		<div>F</div>
	</div>
</body>

</html>